Bug 34925 - important binaries (such as ldif2ldbm) missing
Summary: important binaries (such as ldif2ldbm) missing
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: openldap12   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-05 22:43 UTC by Ian Macdonald
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-05 22:43:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ian Macdonald 2001-04-05 22:43:09 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.3 i686)


Important binaries, such as ldif2ldbm (needed for migration to OpenLDAP
2.x) are missing from this package.

Reproducible: Always
Steps to Reproduce:
1. Just install the package.
2.
3.
	

I downloaded the SRPM and modified the %files and %changelog sections of
the .spec file as follows:

%files
%defattr(-,root,root)
%doc ANNOUNCEMENT CHANGES COPYRIGHT LICENSE README
%attr(0644,root,root) %{_mandir}/man8/centipede.8*
%attr(0644,root,root) %{_mandir}/man8/ldbmcat.8*
%attr(0644,root,root) %{_mandir}/man8/ldif.8*
%attr(0644,root,root) %{_mandir}/man8/ldif2id2children.8*
%attr(0644,root,root) %{_mandir}/man8/ldif2id2entry.8*
%attr(0644,root,root) %{_mandir}/man8/ldif2index.8*
%attr(0644,root,root) %{_mandir}/man8/ldif2ldbm.8*
%attr(0755,root,root) %{_libdir}/lib*.so.*
%attr(0755,root,root) %{_sbindir}/centipede
%attr(0755,root,root) %{_sbindir}/ldbmcat
%attr(0755,root,root) %{_sbindir}/ldbmtest
%attr(0755,root,root) %{_sbindir}/ldif
%attr(0755,root,root) %{_sbindir}/ldif2id2children
%attr(0755,root,root) %{_sbindir}/ldif2id2entry
%attr(0755,root,root) %{_sbindir}/ldif2index
%attr(0755,root,root) %{_sbindir}/ldif2ldbm

%changelog
* Thu Apr  5 2001 Ian Macdonald <ian@caliban.org>
- added a bunch of other admin binaries (to ease migration to OpenLDAP 2.x)

Comment 1 Nalin Dahyabhai 2001-04-06 19:58:44 UTC
The ldbmcat binary in the openldap12 package should be all that you need
for migration.  The ldif2ldbm program is superceded by slapadd from the
openldap-servers package, and I'm likewise not sure why you'd need any of
the other binaries from 1.2.


Note You need to log in before you can comment on or make changes to this bug.